- Main Page
- Related Pages
- Modules
- Classes
- Files

Functions
GLM_GTX_transform: Extented transformation matrices
GTX Extensions (Experimental)

## Functions
template<typename T >
detail::tmat4x4< T > | rotate (T angle, T x, T y, T z)
template<typename T >
detail::tmat4x4< T > | rotate (T angle, detail::tvec3< T > const &v)
template<typename T >
detail::tmat4x4< T > | rotate (detail::tmat4x4< T > const &m, T angle, T x, T y, T z)
template<typename T >
detail::tmat4x4< T > | scale (T x, T y, T z)
template<typename T >
detail::tmat4x4< T > | scale (detail::tmat4x4< T > const &m, T x, T y, T z)
template<typename T >
detail::tmat4x4< T > | scale (detail::tvec3< T > const &v)
template<typename T >
detail::tmat4x4< T > | translate (T x, T y, T z)
template<typename T >
detail::tmat4x4< T > | translate (detail::tmat4x4< T > const &m, T x, T y, T z)
template<typename T >
detail::tmat4x4< T > | translate (detail::tvec3< T > const &v)

## Detailed Description

Add transformation matrices.

<glm/gtx/transform.hpp> need to be included to use these functionalities.

## Function Documentation

detail::tmat4x4<T> glm::rotate | ( | T | angle,
|  | T | x,
|  | T | y,
|  | T | z
| ) |  |

Builds a rotation 4 * 4 matrix created from an axis of 3 scalars and an angle expressed in degrees.

- From GLM_GTX_transform extension

detail::tmat4x4<T> glm::rotate | ( | T | angle,
|  | detail::tvec3< T > const & | v
| ) |  |

Builds a rotation 4 * 4 matrix created from an axis of 3 scalars and an angle expressed in degrees.

- From GLM_GTX_transform extension

detail::tmat4x4<T> glm::rotate | ( | detail::tmat4x4< T > const & | m,
|  | T | angle,
|  | T | x,
|  | T | y,
|  | T | z
| ) |  |

Transforms a matrix with a rotation 4 * 4 matrix created from an axis of 3 scalars and an angle expressed in degrees.

- From GLM_GTX_transform extension

detail::tmat4x4<T> glm::scale | ( | T | x,
|  | T | y,
|  | T | z
| ) |  |

Builds a scale 4 * 4 matrix created from 3 scalars.

- From GLM_GTX_transform extension

detail::tmat4x4<T> glm::scale | ( | detail::tmat4x4< T > const & | m,
|  | T | x,
|  | T | y,
|  | T | z
| ) |  |

Transforms a matrix with a scale 4 * 4 matrix created from 3 scalars.

- From GLM_GTX_transform extension

detail::tmat4x4<T> glm::scale | ( | detail::tvec3< T > const & | v | ) |

Transforms a matrix with a scale 4 * 4 matrix created from a vector of 3 components.

- From GLM_GTX_transform extension

detail::tmat4x4<T> glm::translate | ( | T | x,
|  | T | y,
|  | T | z
| ) |  |

Builds a translation 4 * 4 matrix created from 3 scalars.

- From GLM_GTX_transform extension

detail::tmat4x4<T> glm::translate | ( | detail::tmat4x4< T > const & | m,
|  | T | x,
|  | T | y,
|  | T | z
| ) |  |

Transforms a matrix with a translation 4 * 4 matrix created from 3 scalars.

- From GLM_GTX_transform extension

detail::tmat4x4<T> glm::translate | ( | detail::tvec3< T > const & | v | ) |

Transforms a matrix with a translation 4 * 4 matrix created from 3 scalars.

- From GLM_GTX_transform extension